Summary: Internet Message
Name: im
Version: 130
Release: 3
Source: ftp://ftp.mew.org/pub/Mew/%{name}-%{version}.tar.gz
Copyright: Distributable
Group: Applications/Internet
Url: http://www.mew.org/
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-root
Summary(ja): IM(󥿡ͥåȥå)

%description
This package provides a series of user interface commands (im*
commands) and backend Perl5 libraries to integrate Email and NetNews
user interface. They are designed to be used both from Mew and on
command line.

The folder style for Mew is exactly the same as that of MH. So, you
can replace MH with this package without any migration
works. Moreover, you are able to operate your messages both by IM and
MH with consistent manner.

%description -l ja
Żҥ᡼ȥͥå-˥塼ΤΥ桼󥿡ե礹
Perl5 ѤΥ饤֥ȥޥɤޤޤƤޤ
Mew  ޥɥ饤ǻѤѤ˥ǥ󤵤Ƥޤ

Mew Υե MH ƱǤΤǡñ MH 
ܹԤǤޤ
ˡIM  MH ξѤ뤳ȤǤޤ

%prep
%setup -q

%build
%define MODDIR `perl -MConfig -e 'print $Config{installsitelib}'`
./configure --libdir=/etc --prefix=/usr --with-perldir=%{MODDIR}

cd ${RPM_BUILD_DIR}/%{name}-%{version}/cnf.im
sed -e 's/FromDomain=.*#/FromDomain=#/' \
    -e 's/ToDomain=.*#/ToDomain=#/' SiteConfig >SiteConfig.$$
mv SiteConfig.$$ SiteConfig
cd -

%install
rm -fr $RPM_BUILD_ROOT
make prefix=${RPM_BUILD_ROOT}/usr \
	libdir=${RPM_BUILD_ROOT}/etc \
	perldir=${RPM_BUILD_ROOT}%{MODDIR} install

rm -f rpm-files
echo %{MODDIR}/IM/ >rpm-files

%clean
rm -fr ${RPM_BUILD_ROOT}

%files -f rpm-files
%defattr(-, root, root)
%doc 00* dot.im man 
%doc -P cnf.im/SiteConfig
%dir /etc/im/
%config /etc/im/SiteConfig
/usr/bin/*

%changelog
* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Mar 14 2000 Chris Ding <cding@redhat.com>
- rebuilt for 6.2J

* Fri Dec 24 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- changed Group: Applications/Mail -> Applications/Internet

* Sat Sep 07 1999 Hidetomo Hosono <hide@tomo.gr.jp>
- 1st release

* Wed Jun 09 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 5th release
- Thanks to MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp> for
  specifying --with-perldir
- added the above acknowledgment to spec file

* Wed Jun 09 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 4th release
- specified --with-perldir

* Mon Sep 21 1998 Kanda Mitsuru <kadna@nn.iij4u.or.jp>
- move libdir(SiteConfig) from /usr/share to /etc

* Sat Sep 12 1998 Kanda Mitsuru <kanda@nn.iij4u.or.jp>
- fixed some problems

* Wed Sep  9 1998 Kanda Mitsuru <kanda@nn.iij4u.or.jp>
- update im-100 

* Sun Jul 19 1998 Kanda Mitsuru <kanda@ultima.cmm.is.tohoku.ac.jp>
- change a prefix from /usr/local to /usr

* Mon Oct 27 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
